## org.eclipse.datatools.sqltools.routineeditor
Interface IRoutineEditorDocumentProvider

All Known Implementing Classes:
  SQLRoutineDocumentProvider

public interface IRoutineEditorDocumentProvider

This interface defines document provider operations specific to SQL Routine Editor.

Author:
  Hui Cao

Method Summary
`void` `refreshFromDatabase(java.lang.Object element, IControlConnection controlCon, ProcIdentifier proc)` Refreshs the routine object from database.

Method Detail

### refreshFromDatabase

    public void refreshFromDatabase(java.lang.Object element,
                                    IControlConnection controlCon,
                                    ProcIdentifier proc)
                             throws CoreException,
                                    java.sql.SQLException

  Refreshs the routine object from database.

  Parameters:
    `element` - the routine object
    `controlCon` - control connection that's used by the routine editor
    `proc` - the routine identifier
  Throws:
    `CoreException`
    `java.sql.SQLException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.